package net.wanji.databus.dao.mapper;

import net.wanji.databus.dao.entity.RidInfoEntity;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * @author Kent HAN
 * @date 2022/11/8 16:22
 */
@Repository
public interface RidInfoMapper {
    Double selectRoadLength(@Param("startCrossid") String startCrossid,
                            @Param("endCrossid") String endCrossid);

    String selectStartCrossOutDir(@Param("startCrossid") String startCrossid,
                                  @Param("endCrossid") String endCrossid);

    String selectWkt(@Param("startCrossid") String startCrossid,
                     @Param("endCrossid") String endCrossid);

    List<RidInfoEntity> selectOne(@Param("startCrossid") String startCrossid,
                                  @Param("endCrossid") String endCrossid);
}
